Bug 171938 - [PATCH] devel/p5-File-ChangeNotify: update to 0.22
Summary: [PATCH] devel/p5-File-ChangeNotify: update to 0.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 05:50 UTC by Thomas Abthorpe
Modified: 2012-09-30 09:40 UTC (History)
1 user (show)

See Also:


Attachments
p5-File-ChangeNotify-0.22.patch (1.24 KB, patch)
2012-09-25 05:50 UTC, Thomas Abthorpe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Abthorpe freebsd_committer 2012-09-25 05:50:09 UTC
- Update to 0.22

Port maintainer (alexey@renatasystems.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-09-25 05:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-09-25 05:50:24 UTC
Maintainer of devel/p5-File-ChangeNotify,

Please note that PR ports/171938 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171938

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-09-25 05:50:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexey Degtyarev 2012-09-28 13:28:14 UTC
On 04:50 Tue 25 Sep, Edwin Groothuis wrote:

> Maintainer of devel/p5-File-ChangeNotify,
> 
> Please note that PR ports/171938 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171938
> 

Please commit.

-- 
Alexey V. Degtyarev
Comment 5 Frederic Culot freebsd_committer 2012-09-28 18:50:23 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-09-30 09:38:51 UTC
Author: culot
Date: Sun Sep 30 08:38:37 2012
New Revision: 305076
URL: http://svn.freebsd.org/changeset/ports/305076

Log:
  - Update to 0.22 [1]
  - Add LICENSE (Artistic 2)
  
  Changes:	http://search.cpan.org/dist/File-ChangeNotify/Changes
  PR:		ports/171938 [1]
  Submitted by:	tabthorpe@
  Approved by:	Alexey V. Degtyarev <alexey@renatasystems.org> (maintainer)

Modified:
  head/devel/p5-File-ChangeNotify/Makefile
  head/devel/p5-File-ChangeNotify/distinfo

Modified: head/devel/p5-File-ChangeNotify/Makefile
==============================================================================
--- head/devel/p5-File-ChangeNotify/Makefile	Sun Sep 30 08:22:33 2012	(r305075)
+++ head/devel/p5-File-ChangeNotify/Makefile	Sun Sep 30 08:38:37 2012	(r305076)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	p5-File-ChangeNotify
-# Date created:				Fri 14 Aug 2009
-# Whom:					Alexey V. Degtyarev
-#
+# Created by: Alexey V. Degtyarev
 # $FreeBSD$
-#
 
 PORTNAME=	File-ChangeNotify
-PORTVERSION=	0.21
+PORTVERSION=	0.22
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,6 +10,8 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	alexey@renatasystems.org
 COMMENT=	Watch for changes to files
 
+LICENSE=	ART20
+
 RUN_DEPENDS=	p5-Moose>=2:${PORTSDIR}/devel/p5-Moose \
 		p5-IO-KQueue>=0:${PORTSDIR}/devel/p5-IO-KQueue \
 		p5-MooseX-Params-Validate>=0:${PORTSDIR}/devel/p5-MooseX-Params-Validate \

Modified: head/devel/p5-File-ChangeNotify/distinfo
==============================================================================
--- head/devel/p5-File-ChangeNotify/distinfo	Sun Sep 30 08:22:33 2012	(r305075)
+++ head/devel/p5-File-ChangeNotify/distinfo	Sun Sep 30 08:38:37 2012	(r305076)
@@ -1,2 +1,2 @@
-SHA256 (File-ChangeNotify-0.21.tar.gz) = d89cc03a12b4f4f5d42c6d679a20a768207f50b74f0a4ff470ca0b0a70db322f
-SIZE (File-ChangeNotify-0.21.tar.gz) = 19103
+SHA256 (File-ChangeNotify-0.22.tar.gz) = 24152d954d3028e986f0de305be0e97c7f492cb7ef9de6fd8b95736febf98ff6
+SIZE (File-ChangeNotify-0.22.tar.gz) = 19103
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2012-09-30 09:39:05 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!